### Enumeration

# Aravis GcAccessMode

#### Declaration

    enum Aravis.GcAccessMode

#### Description [src]

Specifies access mode for feature nodes and registers.

#### Members

`ARV_GC_ACCESS_MODE_UNDEFINED`

  Undefined access mode.

  - Value: `-1`
  - Available since: 0.8
`ARV_GC_ACCESS_MODE_RO`

  Read-only access.

  - Value: `0`
  - Available since: 0.8
`ARV_GC_ACCESS_MODE_WO`

  Write-only access.

  - Value: `1`
  - Available since: 0.8
`ARV_GC_ACCESS_MODE_RW`

  Read and write access.

  - Value: `2`
  - Available since: 0.8

#### Type functions

###### arv_gc_access_mode_from_string

No description available.

###### arv_gc_access_mode_to_string

No description available.